com.io7m.jcamera.examples.jogl

## Class ExampleSphericalKeyListener

- java.lang.Object
- - com.io7m.jcamera.examples.jogl.ExampleSphericalKeyListener

- All Implemented Interfaces:
    com.jogamp.newt.event.KeyListener, com.jogamp.newt.event.NEWTEventListener, EventListener

      public final class ExampleSphericalKeyListener
      extends Object
      implements com.jogamp.newt.event.KeyListener

  The key listener used to handle keyboard events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleSphericalKeyListener(ExampleSphericalSimulationType in_sim, com.jogamp.newt.opengl.GLWindow in_window, ExampleRendererType in_renderer, ExecutorService in_background_workers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyPressed(com.jogamp.newt.event.KeyEvent e)`
    `void` | `keyReleased(com.jogamp.newt.event.KeyEvent e)`
    `void` | `toggleCameraEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleSphericalKeyListener

          public ExampleSphericalKeyListener(ExampleSphericalSimulationType in_sim,
                                             com.jogamp.newt.opengl.GLWindow in_window,
                                             ExampleRendererType in_renderer,
                                             ExecutorService in_background_workers)

  - ### Method Detail

    - #### keyPressed

          public void keyPressed(@Nullable
                                 com.jogamp.newt.event.KeyEvent e)

      Specified by:
        `keyPressed` in interface `com.jogamp.newt.event.KeyListener`

    - #### keyReleased

          public void keyReleased(@Nullable
                                  com.jogamp.newt.event.KeyEvent e)

      Specified by:
        `keyReleased` in interface `com.jogamp.newt.event.KeyListener`

    - #### toggleCameraEnabled

          public void toggleCameraEnabled()

Copyright © 2016 <code@io7m.com> http://io7m.com